---
title: "Hemnet API: Map | Perceptlayer"
description: "Map from Hemnet as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/hemnet/map
---

[APIs](https://perceptlayer.com/apis) / [Hemnet](https://perceptlayer.com/apis/hemnet) / Map

# Hemnet: Map

Map from Hemnet as JSON. 1 credit per successful call.

GET `/v1/hemnet/map`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `mode` | string | Optional | cards, bounds |
| `family` | string | Optional | for\_sale, upcoming, sold |
| `location_ids` | string | Optional | Up to 500 characters |
| `expand_locations` | string | Optional | EXPAND\_1000M, EXPAND\_2000M, EXPAND\_5000M, EXPAND\_10000M, EXPAND\_15000M, EXPAND\_30000M, EXPAND\_50000M, EXPAND\_100000M |
| `geometries` | string | Optional | Up to 2,000 characters |
| `limit` | integer | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/hemnet/map?family=for_sale&location_ids=18031&limit=500" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/hemnet?try=map#playground) with your own parameters. 1 credit per successful call; failed calls are free.
